Nous utilisons les cookies sur ce site pour améliorer votre expérience utilisateur. OK
178 partages 17 Commentaires

Applications Android non compatibles : que faire ?

Si vous lisez actuellement cette article, c'est que très certainement vous venez de lire sur le Google Play Store le message suivant : "Cette application n'est compatible avec aucun de vos appareils". Une application Android non compatible avec votre smartphone peut l'être pour plusieurs raisons. Voici les explications et surtout, une astuce pour l'installer malgré tout.

Application non compatible sur le Google Play Store : pourquoi ?

Pour éviter toute incompatibilité de version, commencez pas mettre à jour votre appareil, pour cela, rendez vous dans les Paramètres > À propos du téléphone > Mise à jour logicielle.

En effet, la compatibilité de chaque application n'est pas indiquée sur l'application Android du Play Store. La plupart du temps, un système sous Android Lollipop peut suffire. Si votre appareil date de quelques années, ou s'il n'est pas à jour, il est possible que vous soyez encore sous une version plus ancienne (Android Gingerbread, Ice Cream Sandwich, Froyo...) par exemple, auquel cas beaucoup d'applications actuelles ne seront pas compatibles avec votre smartphone. Malheureusement, il n'existe pas de solution miracle dans ce cas si ce n'est de trouver un fichier APK  plus ancien de l'application qui soit compatible.

Screenshot 2015 05 20 17 05 15
Sur smartphone, le Google Play Store vous indique directement pourquoi l'application ne peut pas être installée. © ANDROIDPIT

Certains jeux nécessitent des performances élevées pour fonctionner. Il arrive parfois que le développeur limite aussi la compatibilité de certaines applications pour éviter les déconvenues sur certains appareils (ralentissement, crashs) ou tout simplement en raison de contrats d'exclusivité.

Hearthstone par exemple n'a fonctionné au départ que sur les appareils de six pouces minimum, l'interface n'étant pas adaptée aux écrans plus petits.

Sur la version web du Google Play Store, vous pouvez voir quelle est la version Android minimum requise pour installer une application. Celle-ci est indiquée dans la section Informations complémentaires. Si l'information n'y figure pas, vous pouvez vérifier sur un site tiers comme Appbrain

application non compatible android
Si votre smartphone ne dispose pas de la version minimum nécessaire, alors vous ne pourrez pas installer l'application. © ANDROIDPIT

Si vous possédez plusieurs appareils, vous pouvez aussi vérifier lesquels sont compatibles directement depuis la page de l'application. 

application non compatible android 2
Certaines applications sont localisées : impossible de les installer en dehors des pays choisis par le développeur. © ANDROIDPIT

Comment installer une application Android non compatible

Il y a une bonne et une mauvaise nouvelle : installer une application non compatible sur votre smartphone est très simple, mais cela ne fonctionne qu'avec les titres gratuits.

Il vous suffit en fait de télécharger l'APK de l'application via un site particulier : APK Downloader, et de copier l'URL (l'adresse web) de la page d'application du Google Play Store. L'astuce sur smartphone consiste à récupérer l'URL en sélectionnant le bouton Partager sur le Play Store et à ouvrir Gmail. Pour résumer : 

  • Copiez l'URL de l'application.
application non compatible android 3
L'astuce pour récupérer l'URL d'une application depuis l'application Play Store sur Android. © ANDROIDPIT
  • Collez l'URL de l'application sur le site APK Downloader.
  • Téléchargez le fichier APK.
androidpit FR apk downloader
Pour récupérer un fichier APK, rien de plus simple. © AndroidPIT

Si le site APK Downloader ne marche pas, vous pouvez toujours tenter de récupérer le fichier APK que vous désirez sur APK Mirror. C'est un site fiable appartenant à nos confrères d'Android Police.

Avez-vous souvent des problèmes d'applications non compatibles sur le Play Store ?

17 Commentaires

Ecrire un nouveau commentaire :
  • Marc Aubert depuis une semaine Lien du commentaire

    La raison est très simple. Ça n'a rien à voir avec les performances. Si tel est le cas, au pire, ça se traîne mais ça marche comme ça peut.

    Ce qui se passe est que le développeur choisit le "SDK level" qu'il utilise ou pense requérir.
    Schématiquement, chaque release (version, même mineure) correspond à un SDK. La règle est que bon an mal an, il y a une compatibilité ascendante : le futur est compatible le passé mais le passé ignore le futur. Bien sûr, chaque SDK incorpore de nouvelles fonctionnalités (sinon pas de raison de changer de level).
    Donc un Android à un niveau donné n'est pas "supposé" pouvoir faire fonctionner une appli requérant un niveau postérieur. Même si cette dernière n'utilise aucune particularité du ou des niveaux postérieurs, c'est fréquent.

    Beaucoup trop de développeurs ne s'en soucient pas du tout. Nombre néanmoins en tient compte parce qu'ils ne veulent pas se couper de la base installée ... et choisisse soigneusement le SDK Level (en fait Android 4, level 16, de mémoire) pour être tranquille sauf raison majeure.

    Il existe peut-être des applis qui vont modifier l'octet d'en-tête d'un APK indiquant le SDK level ? Évidemment sans garantie de résultat. Mais cela n'empêche pas Google play de bloquer le téléchargement... Un avertissement serait de meilleur goût.

    Cela étant, il peut y avoir d'autres sources d’incompatibilité mais le SDK Level est la principale.

  • Rideau depuis 2 semaines Lien du commentaire

    "Si vous lisez actuellement cette article, c'est que très certainement vous venez de lire sur le Google Play Store le message suivant : "Cette application n'est compatible avec aucun de vos appareils"."

    Non. Si on clique sur un article "Applications Android non compatibles, que faire ?", c'est souvent parce qu'on cherchait une recette de gâteau au chocolat.

  • AvisAile depuis 2 semaines Lien du commentaire

    et même sous Android 7.1.1 des applis sont non compatible ^^ (PIXEL launcher entre autres) :-/

  • Bonjour,
    comment.howtodo.rocks/non-classe/installer-clash-royale-sur-umi-touch/
    Cordialement

  • Bonjour, l,application Epicollect n'est pas compatible à mon android Hisense HS-U601version 4.4.2? besoin d'aide merci!

  • Moi j'ai un problème avec mon Xperia M4 Aqua (je suis sous Android 5.0) J'ai voulus ré-installer candy crush mais play store m'indique qu'il n'est pas compatible avec ce jeux. J'avais auparavant réinitialiser mon téléphone aux paramètres d'usine car j'avais des bugs. Quel est le problème et une solution à apporter ?

    • Va sur apk pure est m'est le nom de l'application et sa marche moi par exemple picmonkey n'était pas compatible avec mon Sony Xperia m4 j'ai mis le nom de la apk et après il l'a télécharger

    • J'ai ce problème.. L'avez vous réglé de votre côté? Comment?

  • Quand j'appuis sur "GET" cela me marque : " api exception : app not found " quelqu'un pourrait m'aider s'il vous plait ? merci d'avance.

  • salut a tous, oui je dirai que tout est bon a savoir, maintenant parfois les applications du store sont mal optimisées. Je prends comme exemple le jeu Clash ROYALE qui est bridé en fonction de votre pays avant MArs 2016 - MAIS on peut trouver la bonne parade avec cet apk sur clashroyalemods.com/clash-royale-astuces-pour-sur-android/

    A bon entendeur et a tester

  • Mbaba Mc depuis 11 mois Lien du commentaire

    Comment peut-on faire pour les applications ne voulant pas fonctionner sous Nvidia Shield Tablet à cause du proc il me semble ?!

  • alors , bonjour l'équipe ,
    pour moi c'est assez marrant comme situation car j'ai des applications installées sur mon phone s4 et lorsque je vais sur le google play , ils me disent que lapplication n'est pas compatible..........???????????? c'est trop bizzare et je voudrais savoir comment remedier a ca....
    merci d'avance pour votre reponse

    • Sans doute parce qu'il y a eu une mise à jour sous une nouvelle version qui n'est plus compatible avec ton téléphone

Nous utilisons les cookies sur ce site pour améliorer votre expérience utilisateur. Plus d'informations

J'ai compris